.modal {
  z-index: 1050;
  background-color: rgba(0, 0, 0, 0.8);

  .modal-dialog {
    max-width: 50vw;
  }

  .modal-content {
    border-radius: 0.8rem;
    border: none;
    overflow: hidden;

    .close {
      display: none;
    }
  }
}

.post-modal {
  position: relative;
  box-shadow: 0 0 0.5rem 0.5rem rgba(0, 0, 0, 0.1);
  border-radius: 0.8rem;

  .body {
    padding: 0 3rem 3rem 3rem;
  }

  .avatar {
    // position: absolute;
    // left: 50%;
    // top: calc(95vh / 2);
    // transform: translate(-50%, -50%);
    width: 100%;
    height: 80vh;
    background-color: black;
    border-radius: 0.8rem 0.8rem 0 0;
    // border-radius: 0.8rem;

    img {
      display: block;
      width: 100%;
      height: 100%;
      object-fit: contain;
    }
  }

  .video {
    // position: absolute;
    // left: 50%;
    // top: calc(95vh / 2);
    // transform: translate(-50%, -50%);
    width: 100%;
    height: 80vh;
    background-color: black;
    border-radius: 0.8rem 0.8rem 0 0;

    video {
      display: block;
      width: 100%;
      height: 100%;
      object-fit: contain;

      &:focus {
        outline: none;
      }
    }
  }

  .caption {
    margin-top: 2rem;
    padding: 0 3rem;
    text-align: center;
  }

  .options {
    display: flex;
  }

  .like {
    background-color: transparent;
    border: none;
    cursor: auto;
    margin-right: 0.3rem;

    &.big {
      font-size: 1.7rem;

      i {
        font-size: 2.5rem;
      }
    }

    &:focus {
      outline: none;
    }

    i {
      font-size: 2rem;
      color: $color-primary;
      padding: 0 0.5rem;
      cursor: pointer;

      &:hover {
        color: $color-orange;
      }
    }
  }

  .tip-icon,
  .share-icon {
    display: inline-block;
    width: 2.5rem;
    height: 2.5rem;
    margin-right: 1rem;
    margin-left: 0.5rem;

    svg {
      width: 100%;
      height: 100%;
      cursor: pointer;

      &:hover .cls-1 {
        fill: $color-orange;
      }
    }

    .cls-1 {
      fill: #929292;
    }
  }

  .delete {
    background-color: transparent;
    border: none;
    margin-left: 1rem;
    margin-top: -0.2rem;
    color: $color-primary;

    &:hover {
      color: $color-orange;
      font-weight: bold;
    }

    &:focus {
      outline: none;
    }
  }

  .comment {
    font-size: 2rem;
    color: $color-primary;
    padding: 0 0.5rem;
    margin-left: 1rem;
    cursor: pointer;

    &:hover {
      color: $color-orange;
    }
  }

  .comment-text {
    font-size: 2.3rem;
    font-weight: bold;
    margin-top: 4rem;
  }

  .comments {
    display: block;

    > .single-comment {
      display: flex;
      align-items: flex-start;
      margin-top: 2rem;

      .comment-avatar {
        width: 4rem;
        height: 4rem;
        object-fit: cover;
        border-radius: 10rem;
        cursor: pointer;
      }

      .comment-content {
        width: 100%;

        .comment-body {
          padding: 1rem;
          border: 1px solid lighten($color-navbar, 22%);
          border-radius: 0.8rem;
          color: darken($color-primary, 35%);
          margin-left: 1.2rem;
          font-size: 1.5rem;

          .name {
            font-size: 1.7rem;
            font-weight: bold;
            margin-bottom: 0.5rem;
            cursor: pointer;

            &:hover {
              color: $color-orange;
            }

            .date {
              font-weight: normal;
              font-size: 1.5rem;
              margin-left: 0.6rem;
              color: $color-primary;
            }
          }
        }

        .comment-options {
          margin: 1rem 0 0 2.5rem;
          display: flex;

          // .delete {
          //   background-color: transparent;
          //   border: none;
          //   margin-left: 1rem;
          //   margin-top: -0.2rem;
          //   color: $color-primary;

          //   &:hover {
          //     color: $color-orange;
          //     font-weight: bold;
          //   }

          //   &:focus {
          //     outline: none;
          //   }
          // }
        }
      }
    }
  }

  .comment-box {
    display: flex;
    margin-top: 2rem;

    &-avatar {
      width: 4rem;
      height: 4rem;
      object-fit: cover;
      border-radius: 10rem;
      cursor: pointer;
    }

    &-input {
      padding: 0.8rem 1rem;
      margin-left: 1rem;
      border-radius: 10rem;
      border: 1px solid $color-navbar;
      width: 100%;

      &:focus {
        outline: none;
        border: 1px solid $color-orange;
      }
    }

    &-button {
      background-color: $color-navbar;
      border-radius: 10rem;
      border: none;
      padding: 1rem 2rem;
      margin-left: 1rem;
      color: white;
      cursor: pointer;

      &:hover {
        background-color: $color-orange;
      }
    }
  }
}
